From ccfd3c8a4238dd1fc05f66f47f5a967df1255018 Mon Sep 17 00:00:00 2001
From: Dmitry Ermilov <dmitry.ermilov@intel.com>
Date: Mon, 11 Oct 2021 22:21:38 +0300
Subject: [PATCH] Removed proprietary mentions from file headers (#1023)

Fix:  #183

Signed-off-by: Dmitry Ermilov <dmitry.ermilov@intel.com>
---
 api/mediasdk_structures/ts_struct_decl.h | 22 +++++++++---
 builder/FindFunctions.cmake              | 45 ++++++++++--------------
 builder/FindGTest.cmake                  | 45 ++++++++++--------------
 builder/FindGlobals.cmake                | 45 ++++++++++--------------
 builder/FindInternals.cmake              | 45 ++++++++++--------------
 builder/FindTrace.cmake                  | 45 ++++++++++--------------
 builder/FindVTune.cmake                  | 45 ++++++++++--------------
 contrib/ipp/src/ippversion.h             | 42 +++++++++++-----------
 8 files changed, 151 insertions(+), 183 deletions(-)

diff --git a/api/mediasdk_structures/ts_struct_decl.h b/api/mediasdk_structures/ts_struct_decl.h
index 57f575e8..7eaf93f9 100644
--- a/api/mediasdk_structures/ts_struct_decl.h
+++ b/api/mediasdk_structures/ts_struct_decl.h
@@ -1,10 +1,22 @@
+// Copyright (c) 2008-2020 Intel Corporation
 //
-//                  INTEL CORPORATION PROPRIETARY INFORMATION
-//     This software is supplied under the terms of a license agreement or
-//     nondisclosure agreement with Intel Corporation and may not be copied
-//     or disclosed except in accordance with the terms of that agreement.
-//          Copyright(c) 2014 - 2020 Intel Corporation. All Rights Reserved.
+// Permission is hereby granted, free of charge, to any person obtaining a copy
+// of this software and associated documentation files (the "Software"), to deal
+// in the Software without restriction, including without limitation the rights
+// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+// copies of the Software, and to permit persons to whom the Software is
+// furnished to do so, subject to the following conditions:
 //
+// The above copyright notice and this permission notice shall be included in all
+// copies or substantial portions of the Software.
+//
+// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+// SOFTWARE.
 
 STRUCT(mfxI16Pair,
     FIELD_T(mfxI16, x)
diff --git a/builder/FindFunctions.cmake b/builder/FindFunctions.cmake
index 30f83197..2ee61087 100644
--- a/builder/FindFunctions.cmake
+++ b/builder/FindFunctions.cmake
@@ -1,29 +1,22 @@
-##******************************************************************************
-##  Copyright(C) 2012-2020 Intel Corporation. All Rights Reserved.
-##
-##  The source code, information  and  material ("Material") contained herein is
-##  owned  by Intel Corporation or its suppliers or licensors, and title to such
-##  Material remains  with Intel Corporation  or its suppliers or licensors. The
-##  Material  contains proprietary information  of  Intel or  its  suppliers and
-##  licensors. The  Material is protected by worldwide copyright laws and treaty
-##  provisions. No  part  of  the  Material  may  be  used,  copied, reproduced,
-##  modified, published, uploaded, posted, transmitted, distributed or disclosed
-##  in any way  without Intel's  prior  express written  permission. No  license
-##  under  any patent, copyright  or  other intellectual property rights  in the
-##  Material  is  granted  to  or  conferred  upon  you,  either  expressly,  by
-##  implication, inducement,  estoppel or  otherwise.  Any  license  under  such
-##  intellectual  property  rights must  be express  and  approved  by  Intel in
-##  writing.
-##
-##  *Third Party trademarks are the property of their respective owners.
-##
-##  Unless otherwise  agreed  by Intel  in writing, you may not remove  or alter
-##  this  notice or  any other notice embedded  in Materials by Intel or Intel's
-##  suppliers or licensors in any way.
-##
-##******************************************************************************
-##  Content: Intel(R) Media SDK projects creation and build
-##******************************************************************************
+# Copyright (c) 2012-2021 Intel Corporation
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in all
+# copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
 
 set( CMAKE_LIB_DIR ${CMAKE_BINARY_DIR}/__lib )
 set( CMAKE_BIN_DIR ${CMAKE_BINARY_DIR}/__bin )
diff --git a/builder/FindGTest.cmake b/builder/FindGTest.cmake
index 647868c0..316ac9bd 100644
--- a/builder/FindGTest.cmake
+++ b/builder/FindGTest.cmake
@@ -1,29 +1,22 @@
-##******************************************************************************
-##  Copyright(C) 2014 Intel Corporation. All Rights Reserved.
-##
-##  The source code, information  and  material ("Material") contained herein is
-##  owned  by Intel Corporation or its suppliers or licensors, and title to such
-##  Material remains  with Intel Corporation  or its suppliers or licensors. The
-##  Material  contains proprietary information  of  Intel or  its  suppliers and
-##  licensors. The  Material is protected by worldwide copyright laws and treaty
-##  provisions. No  part  of  the  Material  may  be  used,  copied, reproduced,
-##  modified, published, uploaded, posted, transmitted, distributed or disclosed
-##  in any way  without Intel's  prior  express written  permission. No  license
-##  under  any patent, copyright  or  other intellectual property rights  in the
-##  Material  is  granted  to  or  conferred  upon  you,  either  expressly,  by
-##  implication, inducement,  estoppel or  otherwise.  Any  license  under  such
-##  intellectual  property  rights must  be express  and  approved  by  Intel in
-##  writing.
-##
-##  *Third Party trademarks are the property of their respective owners.
-##
-##  Unless otherwise  agreed  by Intel  in writing, you may not remove  or alter
-##  this  notice or  any other notice embedded  in Materials by Intel or Intel's
-##  suppliers or licensors in any way.
-##
-##******************************************************************************
-##  Content: Intel(R) Media SDK Samples projects creation and build
-##******************************************************************************
+# Copyright (c) 2014-2021 Intel Corporation
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in all
+# copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
 
 find_path( GTEST_INCLUDE gtest/gtest.h PATHS "$ENV{GTEST_INCLUDE_PATH}" "/usr/local/include" )
 find_library( GTEST_LIBRARY gtest PATHS "$ENV{GTEST_LIBRARY_PATH}" "/usr/local/lib" )
diff --git a/builder/FindGlobals.cmake b/builder/FindGlobals.cmake
index 01be5a72..0fd3a829 100644
--- a/builder/FindGlobals.cmake
+++ b/builder/FindGlobals.cmake
@@ -1,29 +1,22 @@
-##******************************************************************************
-##  Copyright(C) 2012-2020 Intel Corporation. All Rights Reserved.
-##
-##  The source code, information  and  material ("Material") contained herein is
-##  owned  by Intel Corporation or its suppliers or licensors, and title to such
-##  Material remains  with Intel Corporation  or its suppliers or licensors. The
-##  Material  contains proprietary information  of  Intel or  its  suppliers and
-##  licensors. The  Material is protected by worldwide copyright laws and treaty
-##  provisions. No  part  of  the  Material  may  be  used,  copied, reproduced,
-##  modified, published, uploaded, posted, transmitted, distributed or disclosed
-##  in any way  without Intel's  prior  express written  permission. No  license
-##  under  any patent, copyright  or  other intellectual property rights  in the
-##  Material  is  granted  to  or  conferred  upon  you,  either  expressly,  by
-##  implication, inducement,  estoppel or  otherwise.  Any  license  under  such
-##  intellectual  property  rights must  be express  and  approved  by  Intel in
-##  writing.
-##
-##  *Third Party trademarks are the property of their respective owners.
-##
-##  Unless otherwise  agreed  by Intel  in writing, you may not remove  or alter
-##  this  notice or  any other notice embedded  in Materials by Intel or Intel's
-##  suppliers or licensors in any way.
-##
-##******************************************************************************
-##  Content: Intel(R) Media SDK projects creation and build
-##******************************************************************************
+# Copyright (c) 2012-2021 Intel Corporation
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in all
+# copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
 
 set_property( GLOBAL PROPERTY USE_FOLDERS ON )
 
diff --git a/builder/FindInternals.cmake b/builder/FindInternals.cmake
index 31bfaf17..0f91433c 100644
--- a/builder/FindInternals.cmake
+++ b/builder/FindInternals.cmake
@@ -1,29 +1,22 @@
-##******************************************************************************
-##  Copyright(C) 2012-2020 Intel Corporation. All Rights Reserved.
-##
-##  The source code, information  and  material ("Material") contained herein is
-##  owned  by Intel Corporation or its suppliers or licensors, and title to such
-##  Material remains  with Intel Corporation  or its suppliers or licensors. The
-##  Material  contains proprietary information  of  Intel or  its  suppliers and
-##  licensors. The  Material is protected by worldwide copyright laws and treaty
-##  provisions. No  part  of  the  Material  may  be  used,  copied, reproduced,
-##  modified, published, uploaded, posted, transmitted, distributed or disclosed
-##  in any way  without Intel's  prior  express written  permission. No  license
-##  under  any patent, copyright  or  other intellectual property rights  in the
-##  Material  is  granted  to  or  conferred  upon  you,  either  expressly,  by
-##  implication, inducement,  estoppel or  otherwise.  Any  license  under  such
-##  intellectual  property  rights must  be express  and  approved  by  Intel in
-##  writing.
-##
-##  *Third Party trademarks are the property of their respective owners.
-##
-##  Unless otherwise  agreed  by Intel  in writing, you may not remove  or alter
-##  this  notice or  any other notice embedded  in Materials by Intel or Intel's
-##  suppliers or licensors in any way.
-##
-##******************************************************************************
-##  Content: Intel(R) Media SDK projects creation and build
-##******************************************************************************
+# Copyright (c) 2012-2021 Intel Corporation
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in all
+# copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
 
 if(NOT DEFINED BUILDER_ROOT)
   set( BUILDER_ROOT ${CMAKE_HOME_DIRECTORY}/builder )
diff --git a/builder/FindTrace.cmake b/builder/FindTrace.cmake
index 814da3b1..3d0f072d 100644
--- a/builder/FindTrace.cmake
+++ b/builder/FindTrace.cmake
@@ -1,29 +1,22 @@
-##******************************************************************************
-##  Copyright(C) 2015 Intel Corporation. All Rights Reserved.
-##
-##  The source code, information  and  material ("Material") contained herein is
-##  owned  by Intel Corporation or its suppliers or licensors, and title to such
-##  Material remains  with Intel Corporation  or its suppliers or licensors. The
-##  Material  contains proprietary information  of  Intel or  its  suppliers and
-##  licensors. The  Material is protected by worldwide copyright laws and treaty
-##  provisions. No  part  of  the  Material  may  be  used,  copied, reproduced,
-##  modified, published, uploaded, posted, transmitted, distributed or disclosed
-##  in any way  without Intel's  prior  express written  permission. No  license
-##  under  any patent, copyright  or  other intellectual property rights  in the
-##  Material  is  granted  to  or  conferred  upon  you,  either  expressly,  by
-##  implication, inducement,  estoppel or  otherwise.  Any  license  under  such
-##  intellectual  property  rights must  be express  and  approved  by  Intel in
-##  writing.
-##
-##  *Third Party trademarks are the property of their respective owners.
-##
-##  Unless otherwise  agreed  by Intel  in writing, you may not remove  or alter
-##  this  notice or  any other notice embedded  in Materials by Intel or Intel's
-##  suppliers or licensors in any way.
-##
-##******************************************************************************
-##  Content: Intel(R) Media SDK Global Configuration of Targets Cmake module
-##******************************************************************************
+# Copyright (c) 2015-2021 Intel Corporation
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in all
+# copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
 
 if(__TRACE)
   message( STATUS "Enabled tracing: ${__TRACE}" )
diff --git a/builder/FindVTune.cmake b/builder/FindVTune.cmake
index be10857e..4a9418be 100644
--- a/builder/FindVTune.cmake
+++ b/builder/FindVTune.cmake
@@ -1,29 +1,22 @@
-##******************************************************************************
-##  Copyright(C) 2015 Intel Corporation. All Rights Reserved.
-##
-##  The source code, information  and  material ("Material") contained herein is
-##  owned  by Intel Corporation or its suppliers or licensors, and title to such
-##  Material remains  with Intel Corporation  or its suppliers or licensors. The
-##  Material  contains proprietary information  of  Intel or  its  suppliers and
-##  licensors. The  Material is protected by worldwide copyright laws and treaty
-##  provisions. No  part  of  the  Material  may  be  used,  copied, reproduced,
-##  modified, published, uploaded, posted, transmitted, distributed or disclosed
-##  in any way  without Intel's  prior  express written  permission. No  license
-##  under  any patent, copyright  or  other intellectual property rights  in the
-##  Material  is  granted  to  or  conferred  upon  you,  either  expressly,  by
-##  implication, inducement,  estoppel or  otherwise.  Any  license  under  such
-##  intellectual  property  rights must  be express  and  approved  by  Intel in
-##  writing.
-##
-##  *Third Party trademarks are the property of their respective owners.
-##
-##  Unless otherwise  agreed  by Intel  in writing, you may not remove  or alter
-##  this  notice or  any other notice embedded  in Materials by Intel or Intel's
-##  suppliers or licensors in any way.
-##
-##******************************************************************************
-##  Content: Intel(R) Media SDK Global Configuration of Targets Cmake module
-##******************************************************************************
+# Copyright (c) 2015-2021 Intel Corporation
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in all
+# copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
 
 if(__ITT OR ENABLE_ITT)
   if( Linux )
diff --git a/contrib/ipp/src/ippversion.h b/contrib/ipp/src/ippversion.h
index 7a5b07d0..ddaa896e 100644
--- a/contrib/ipp/src/ippversion.h
+++ b/contrib/ipp/src/ippversion.h
@@ -1,25 +1,23 @@
-/* 
-// Copyright 2001 2015 Intel Corporation All Rights Reserved.
-// 
-// The source code, information and material ("Material") contained herein is
-// owned by Intel Corporation or its suppliers or licensors, and title
-// to such Material remains with Intel Corporation or its suppliers or
-// licensors. The Material contains proprietary information of Intel
-// or its suppliers and licensors. The Material is protected by worldwide
-// copyright laws and treaty provisions. No part of the Material may be used,
-// copied, reproduced, modified, published, uploaded, posted, transmitted,
-// distributed or disclosed in any way without Intel's prior express written
-// permission. No license under any patent, copyright or other intellectual
-// property rights in the Material is granted to or conferred upon you,
-// either expressly, by implication, inducement, estoppel or otherwise.
-// Any license under such intellectual property rights must be express and
-// approved by Intel in writing.
-// 
-// Unless otherwise agreed by Intel in writing,
-// you may not remove or alter this notice or any other notice embedded in
-// Materials by Intel or Intel's suppliers or licensors in any way.
-// 
-*/
+// Copyright (c) 2001-2021 Intel Corporation
+//
+// Permission is hereby granted, free of charge, to any person obtaining a copy
+// of this software and associated documentation files (the "Software"), to deal
+// in the Software without restriction, including without limitation the rights
+// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+// copies of the Software, and to permit persons to whom the Software is
+// furnished to do so, subject to the following conditions:
+//
+// The above copyright notice and this permission notice shall be included in all
+// copies or substantial portions of the Software.
+//
+// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+// SOFTWARE.
+
 
 /* 
 //              Intel(R) Integrated Performance Primitives
-- 
2.26.2

